Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057917 - network: No icon for USB ethernet devices
Summary: network: No icon for USB ethernet devices
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 01:28 UTC by Dimitris
Modified: 2015-06-01 01:48 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-01 01:48:48 UTC


Attachments (Terms of Use)
NM journal entries when tethering is turned on (deleted)
2014-01-26 01:28 UTC, Dimitris
no flags Details
Indicator with no connection (deleted)
2014-08-19 16:22 UTC, Jason Merrill
no flags Details
Indicator with wifi connection (deleted)
2014-08-19 16:23 UTC, Jason Merrill
no flags Details
(Missing) indicator with usb connection (deleted)
2014-08-19 16:23 UTC, Jason Merrill
no flags Details
(Missing) indicator with usb and wifi connections (deleted)
2014-08-19 16:24 UTC, Jason Merrill
no flags Details
NM log for USB network interface (deleted)
2014-08-19 16:33 UTC, Jason Merrill
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 708966 None None None Never

Description Dimitris 2014-01-26 01:28:50 UTC
Created attachment 855567 [details]
NM journal entries when tethering is turned on

Description of problem:

Connecting Nexus 4 with USB tethering on does not indicate anything in status panel or status menu.

Version-Release number of selected component (if applicable):

1:0.9.9.0-26.git20131003.fc20

How reproducible:

Every time

Steps to Reproduce:
1. Nexus 4: Set its USB mode to MTP; this seems to be required before tethering can be enabled later.
2. Nexus 4: Got to tethering settings: USB tethering is greyed out and unchecked.
3. Laptop: Disconnect all other interfaces (in my case, turn WiFi off).
4. NM status panel icon switches to "disconnected".
5. Laptop: In the network control panel, ensure that there is a DHCP Wired profile that is set to connect automatically.
6. Connect Nexus 4 to laptop.
7. Laptop: Dismiss the Files notification (click its close icon, not Eject).
8. Nexus 4: In tethering settings, USB tethering is now enabled (but still unchecked).  Check to turn in on.
9. Laptop: "disconnected" status icon soon disappears, laptop has connectivity, but there is no indication in the panel.
10. Also no handle to turn USB Ethernet on/off in the status menu.

This is all under GNOME Shell.

Comment 1 Jason Merrill 2014-06-17 17:01:27 UTC
I'm seeing this as well.

Comment 2 Nineth 2014-06-22 08:22:35 UTC
I see this as well - weird; it used to work perfect several gnome versions ago and with FC16, FC17, etc.

With my NEXUS 5 USB tethering, I have no indication that it's connected via the USB network interface. I see no icon for wired connection as well. There is an indication only for wireless connections.

Comment 3 Jirka Klimes 2014-06-23 07:50:49 UTC
We need to find out whether this is an Gnome-Shell indication or NetworkManager core issue. Would you provide more information so that this can be done. Specifically:
* nmcli gen status
* nmcli dev
* nmcli con sh a
* a bit longer NM journal log

Can you see correct indication in nm-applet (e.g. when using XFCE)?

Comment 4 Nineth 2014-06-23 09:32:54 UTC
Here it is.

$ nmcli gen status
STATE      CONNECTIVITY  WIFI-HW  WIFI     WWAN-HW  WWAN    
connected  full          enabled  enabled  enabled  enabled 
$ nmcli dev
DEVICE       TYPE      STATE       
enp0s26u1u1  ethernet  connected   
wlan0        wifi      connected   
em1          ethernet  unavailable 
lo           loopback  unmanaged   
$ nmcli con sh a
NAME           UUID                                  DEVICES      DEFAULT  VPN  MASTER-PATH 
Auto FreeWifi  cf4c7619-fac4-4415-935e-ebf1b619a353  wlan0        no       no   --          
Generic DHCP   48bdb2a8-46b2-4c8f-883e-b1cbb83d1c52  enp0s26u1u1  yes      no

I don't know what you meant by an "NM journal log". nm-applet doesn't show it either.

Comment 5 Nineth 2014-08-15 06:12:19 UTC
Anything more on this? The problem still persists with

NetworkManager-0.9.9.0-39.git20131003.fc20.x86_64
gnome-session-3.10.1-1.fc20.x86_64

and it's been 7+ months since I filed this report. I'm happy to provide more information to help. Without an icon, it's quite inconvenient to see how one is connected. The problem is compounded by the fact that a wired connection is not supposed to show any icon "by design" (I filed another report for that 1012741) - no response there either. One has to go into network properties to see what all are activated. This is quite frustrating.

Comment 6 Jirka Klimes 2014-08-19 09:17:18 UTC
Well, the outputs in comment #4 show that the connection is properly up. So the problem would really be in GUI. Specifically in gnome-shell network indicator. That's why I also asked if the icon is correct in nm-applet (that is used e.g. in XFCE desktop).
Please take a picture of the bad icon, because "a picture is worth a thousand words".

By "NM journal log" I meant logs of NetworkManager daemon, that are nowadays logged into journal. They can be obtained by command "journalctl -u NetworkManager.service".

Comment 7 Jason Merrill 2014-08-19 16:22:45 UTC
Created attachment 928459 [details]
Indicator with no connection

Comment 8 Jason Merrill 2014-08-19 16:23:08 UTC
Created attachment 928460 [details]
Indicator with wifi connection

Comment 9 Jason Merrill 2014-08-19 16:23:37 UTC
Created attachment 928461 [details]
(Missing) indicator with usb connection

Comment 10 Jason Merrill 2014-08-19 16:24:01 UTC
Created attachment 928462 [details]
(Missing) indicator with usb and wifi connections

Comment 11 Jason Merrill 2014-08-19 16:33:09 UTC
Created attachment 928463 [details]
NM log for USB network interface

And here's the log from tethering my phone.  As you can see from the images, attaching it suppresses the NM icon even if there is also a Wi-Fi interface.

Comment 12 Nineth 2014-08-19 16:34:34 UTC
Thanks to Jason Merrill. I confirm that I see the exactly same behavior for all these cases.

Comment 13 Jason Merrill 2014-08-19 17:49:34 UTC
Seems like the issue is that NM is treating the USB connection as a generic ethernet connection and therefore we hit bug 1012741.

Comment 14 Nineth 2014-08-20 04:39:48 UTC
(In reply to Jason Merrill from comment #13)
> Seems like the issue is that NM is treating the USB connection as a generic
> ethernet connection and therefore we hit bug 1012741.

This does make a lot of sense. Does there exist a separate icon for a USB connection and does it reside in a file?

Comment 15 Jirka Klimes 2014-08-21 15:10:36 UTC
Jason, thanks for the screenshots. I can see missing icon in F20, too. Fedora 21 seems different, and better.

It is definitely gnome-shell applet problem, not NetworkManager. However, I can't follow the differences in particular versions of the shell, because it seems that they change icons behaviour quite often. And, not-showing the icon is by design according to this upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=708966, which is weird.

Anyway, gnome-shell network indicator is implemented in JavaScript and it dwells in /usr/share/gnome-shell/js/ui/status/network.js. So you can make changes to it, save it. Then press Alt-F2, type 'r' and press Enter, which will restart gnome-shell with your changes.

https://git.gnome.org/browse/gnome-shell/log/js/ui/status/network.js

Note:
In recent versions the javascript files are no longer separate, but are inside libgnome-shell.so, see https://blogs.gnome.org/mclasen/2014/03/24/keeping-gnome-shell-approachable.

Comment 16 Nineth 2014-11-06 05:29:00 UTC
Anything further on this? The problem is still there with

$ rpm -q gnome-shell
gnome-shell-3.10.4-9.fc20.x86_64
$ rpm -q NetworkManager
NetworkManager-0.9.9.0-46.git20131003.fc20.x86_64

Comment 17 Nineth 2014-11-06 05:31:39 UTC
I'm willing to provide more information.  Not being able to distinguish between a (wired) Ethernet connection and a USB one is indeed annoying. The problem is made worse by the fact that a wired connection is not supposed to display any icon/indication "by design" - so there's empty space in both scenarios: USB and wired.

Comment 18 Florian Müllner 2014-11-06 08:28:35 UTC
(In reply to Nineth from comment #17)
> Not being able to distinguish between a (wired) Ethernet connection and a 
> USB one is indeed annoying. The problem is made worse by the fact that a 
> wired connection is not supposed to display any icon/indication "by design"

That design was revisited in GNOME 3.12, so we do show an icon for wired connections nowadays.

Comment 19 Christopher Beland 2014-12-29 22:25:43 UTC
Would it be better to target a fix for Fedora 21, if it's still needed?  I know Fedora 20 is still supported, but it sounds like it could get messy to try to backport something.

Comment 20 Fedora End Of Life 2015-05-29 10:41:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Jason Merrill 2015-05-31 20:40:52 UTC
This is fixed in Fedora 21.


Note You need to log in before you can comment on or make changes to this bug.